org.apache.ignite.spi.swapspace

## Class SwapContext

- java.lang.Object
- - org.apache.ignite.spi.swapspace.SwapContext

    public class SwapContext
    extends Object

Context for swap operations.

### Constructor Summary

Constructors
Constructor and Description
`SwapContext()`

### Method Summary

Methods
`ClassLoader` `classLoader()`
`void` `classLoader(ClassLoader clsLdr)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SwapContext

    public SwapContext()

### Method Detail

#### classLoader

    public ClassLoader classLoader()

Returns:
  Class loader.

#### classLoader

    public void classLoader(ClassLoader clsLdr)

Parameters:
  `clsLdr` - Class loader.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.7.0
Release Date | : August 1 2016